Skip to main content
GET
/
v3
/
trade
/
algoOrders
cURL
curl --request GET \
  --url https://api.woox.io/v3/trade/algoOrders \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-signature: <x-api-signature>' \
  --header 'x-api-timestamp: <x-api-timestamp>'
import requests

url = "https://api.woox.io/v3/trade/algoOrders"

headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};

fetch('https://api.woox.io/v3/trade/algoOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    {
    "success": true,
    "data": {
        "meta": {
            "total": 2,
            "recordsPerPage": 25,
            "currentPage": 1
        },
        "rows": [
            {
                "algoOrderId": 792419,
                "clientAlgoOrderId": 0,
                "rootAlgoOrderId": 792419,
                "parentAlgoOrderId": 0,
                "symbol": "SPOT_WOO_USDT",
                "algoOrderTag": "default",
                "algoType": "TRAILING_STOP",
                "side": "SELL",
                "positionSide": "BOTH",
                "quantity": 1,
                "isTriggered": false,
                "triggerStatus": "USELESS",
                "type": "MARKET",
                "rootAlgoStatus": "NEW",
                "algoStatus": "NEW",
                "triggerPriceType": "MARKET_PRICE",
                "triggerTime": "0",
                "totalExecutedQuantity": "0",
                "averageExecutedPrice": "0",
                "totalFee": "0",
                "feeAsset": "",
                "totalRebate": 0,
                "rebateCurrency": "USDT",
                "reduceOnly": false,
                "createdTime": 1696595221136,
                "updatedTime": 1696595221136,
                "isActivated": false,
                "callbackRate": "0.03",
                "activatedPrice": "0.21"
            },
            {
                "algoOrderId": 792407,
                "clientAlgoOrderId": 0,
                "rootAlgoOrderId": 792407,
                "parentAlgoOrderId": 0,
                "symbol": "SPOT_WOO_USDT",
                "algoOrderTag": "default",
                "algoType": "BRACKET",
                "side": "BUY",
                "quantity": "100",
                "isTriggered": false,
                "triggerStatus": "SUCCESS",
                "type": "LIMIT",
                "positionSide": "BOTH",
                "status": "NEW",
                "rootAlgoStatus": "NEW",
                "algoStatus": "NEW",
                "triggerPriceType": "MARKET_PRICE",
                "price": "0.15",
                "triggerTime": "0",
                "totalExecutedQuantity": "0",
                "averageExecutedPrice": "0",
                "totalFee": "0",
                "feeAsset": "WOO",
                "totalRebate": 0,
                "rebateCurrency": "USDT",
                "reduceOnly": false,
                "createdTime": 1696589756133,
                "updatedTime": 1696589756247,
                "childOrders": [
                    {
                        "algoOrderId": 792408,
                        "clientAlgoOrderId": 0,
                        "rootAlgoOrderId": 792407,
                        "parentAlgoOrderId": 792407,
                        "symbol": "SPOT_WOO_USDT",
                        "algoOrderTag": "default",
                        "algoType": "TP_SL",
                        "side": "SELL",
                        "positionSide": "BOTH",
                        "quantity": 0,
                        "isTriggered": false,
                        "triggerStatus": "USELESS",
                        "rootAlgoStatus": "NEW",
                        "algoStatus": "NEW",
                        "triggerPriceType": "MARKET_PRICE",
                        "triggerTime": "0",
                        "totalExecutedQuantity": "0",
                        "visibleQuantity": "0",
                        "averageExecutedPrice": "0",
                        "totalFee": "0",
                        "feeAsset": "",
                        "totalRebate": "0",
                        "rebateCurrency": "USDT",
                        "reduceOnly": false,
                        "createdTime": 1696589756128,
                        "updatedTime": 1696589756128,
                        "isActivated": false,
                        "childOrders": [
                            {
                                "algoOrderId": 792409,
                                "clientAlgoOrderId": 0,
                                "rootAlgoOrderId": 792407,
                                "parentAlgoOrderId": 792408,
                                "symbol": "SPOT_WOO_USDT",
                                "algoOrderTag": "default",
                                "algoType": "TAKE_PROFIT",
                                "side": "SELL",
                                "positionSide": "BOTH",
                                "quantity": "0",
                                "isTriggered": false,
                                "triggerPrice": "0.3",
                                "triggerStatus": "USELESS",
                                "type": "MARKET",
                                "rootAlgoStatus": "NEW",
                                "algoStatus": "NEW",
                                "triggerPriceType": "MARKET_PRICE",
                                "triggerTime": "0",
                                "totalExecutedQuantity": "0",
                                "visibleQuantity": "0",
                                "averageExecutedPrice": "0",
                                "totalFee": "0",
                                "feeAsset": "",
                                "totalRebate": "0",
                                "rebateCurrency": "USDT",
                                "reduceOnly": true,
                                "createdTime": 1696589756118,
                                "updatedTime": 1696589756118,
                                "isActivated": false
                            },
                            {
                                "algoOrderId": 792410,
                                "clientAlgoOrderId": 0,
                                "rootAlgoOrderId": 792407,
                                "parentAlgoOrderId": 792408,
                                "symbol": "SPOT_WOO_USDT",
                                "algoOrderTag": "default",
                                "algoType": "STOP_LOSS",
                                "side": "SELL",
                                "positionSide": "BOTH",
                                "quantity": 0,
                                "isTriggered": false,
                                "triggerPrice": "0.1",
                                "triggerStatus": "USELESS",
                                "type": "MARKET",
                                "rootAlgoStatus": "NEW",
                                "algoStatus": "NEW",
                                "triggerPriceType": "MARKET_PRICE",
                                "triggerTime": "0",
                                "totalExecutedQuantity": "0",
                                "visibleQuantity": "0",
                                "averageExecutedPrice": "0",
                                "totalFee": "0",
                                "feeAsset": "",
                                "totalRebate": "0",
                                "rebateCurrency": "USDT",
                                "reduceOnly": true,
                                "createdTime": 1696589756123,
                                "updatedTime": 1696589756123,
                                "isActivated": false
                            }
                        ]
                    }
                ]
            },
            ...
        ]
    },
    "timestamp": 1696598461952
}
}
Limit: 10 requests per 1 second
Get orders by customizable conditions. For filtering by status, one can reference special bundled statuses below for ease of access of open (i.e. INCOMPLETE) orders or COMPLETED orders.
INCOMPLETE = NEW + PARTIAL_FILLED COMPLETED = CANCELLED + FILLED + REJECTED
{
    {
    "success": true,
    "data": {
        "meta": {
            "total": 2,
            "recordsPerPage": 25,
            "currentPage": 1
        },
        "rows": [
            {
                "algoOrderId": 792419,
                "clientAlgoOrderId": 0,
                "rootAlgoOrderId": 792419,
                "parentAlgoOrderId": 0,
                "symbol": "SPOT_WOO_USDT",
                "algoOrderTag": "default",
                "algoType": "TRAILING_STOP",
                "side": "SELL",
                "positionSide": "BOTH",
                "quantity": 1,
                "isTriggered": false,
                "triggerStatus": "USELESS",
                "type": "MARKET",
                "rootAlgoStatus": "NEW",
                "algoStatus": "NEW",
                "triggerPriceType": "MARKET_PRICE",
                "triggerTime": "0",
                "totalExecutedQuantity": "0",
                "averageExecutedPrice": "0",
                "totalFee": "0",
                "feeAsset": "",
                "totalRebate": 0,
                "rebateCurrency": "USDT",
                "reduceOnly": false,
                "createdTime": 1696595221136,
                "updatedTime": 1696595221136,
                "isActivated": false,
                "callbackRate": "0.03",
                "activatedPrice": "0.21"
            },
            {
                "algoOrderId": 792407,
                "clientAlgoOrderId": 0,
                "rootAlgoOrderId": 792407,
                "parentAlgoOrderId": 0,
                "symbol": "SPOT_WOO_USDT",
                "algoOrderTag": "default",
                "algoType": "BRACKET",
                "side": "BUY",
                "quantity": "100",
                "isTriggered": false,
                "triggerStatus": "SUCCESS",
                "type": "LIMIT",
                "positionSide": "BOTH",
                "status": "NEW",
                "rootAlgoStatus": "NEW",
                "algoStatus": "NEW",
                "triggerPriceType": "MARKET_PRICE",
                "price": "0.15",
                "triggerTime": "0",
                "totalExecutedQuantity": "0",
                "averageExecutedPrice": "0",
                "totalFee": "0",
                "feeAsset": "WOO",
                "totalRebate": 0,
                "rebateCurrency": "USDT",
                "reduceOnly": false,
                "createdTime": 1696589756133,
                "updatedTime": 1696589756247,
                "childOrders": [
                    {
                        "algoOrderId": 792408,
                        "clientAlgoOrderId": 0,
                        "rootAlgoOrderId": 792407,
                        "parentAlgoOrderId": 792407,
                        "symbol": "SPOT_WOO_USDT",
                        "algoOrderTag": "default",
                        "algoType": "TP_SL",
                        "side": "SELL",
                        "positionSide": "BOTH",
                        "quantity": 0,
                        "isTriggered": false,
                        "triggerStatus": "USELESS",
                        "rootAlgoStatus": "NEW",
                        "algoStatus": "NEW",
                        "triggerPriceType": "MARKET_PRICE",
                        "triggerTime": "0",
                        "totalExecutedQuantity": "0",
                        "visibleQuantity": "0",
                        "averageExecutedPrice": "0",
                        "totalFee": "0",
                        "feeAsset": "",
                        "totalRebate": "0",
                        "rebateCurrency": "USDT",
                        "reduceOnly": false,
                        "createdTime": 1696589756128,
                        "updatedTime": 1696589756128,
                        "isActivated": false,
                        "childOrders": [
                            {
                                "algoOrderId": 792409,
                                "clientAlgoOrderId": 0,
                                "rootAlgoOrderId": 792407,
                                "parentAlgoOrderId": 792408,
                                "symbol": "SPOT_WOO_USDT",
                                "algoOrderTag": "default",
                                "algoType": "TAKE_PROFIT",
                                "side": "SELL",
                                "positionSide": "BOTH",
                                "quantity": "0",
                                "isTriggered": false,
                                "triggerPrice": "0.3",
                                "triggerStatus": "USELESS",
                                "type": "MARKET",
                                "rootAlgoStatus": "NEW",
                                "algoStatus": "NEW",
                                "triggerPriceType": "MARKET_PRICE",
                                "triggerTime": "0",
                                "totalExecutedQuantity": "0",
                                "visibleQuantity": "0",
                                "averageExecutedPrice": "0",
                                "totalFee": "0",
                                "feeAsset": "",
                                "totalRebate": "0",
                                "rebateCurrency": "USDT",
                                "reduceOnly": true,
                                "createdTime": 1696589756118,
                                "updatedTime": 1696589756118,
                                "isActivated": false
                            },
                            {
                                "algoOrderId": 792410,
                                "clientAlgoOrderId": 0,
                                "rootAlgoOrderId": 792407,
                                "parentAlgoOrderId": 792408,
                                "symbol": "SPOT_WOO_USDT",
                                "algoOrderTag": "default",
                                "algoType": "STOP_LOSS",
                                "side": "SELL",
                                "positionSide": "BOTH",
                                "quantity": 0,
                                "isTriggered": false,
                                "triggerPrice": "0.1",
                                "triggerStatus": "USELESS",
                                "type": "MARKET",
                                "rootAlgoStatus": "NEW",
                                "algoStatus": "NEW",
                                "triggerPriceType": "MARKET_PRICE",
                                "triggerTime": "0",
                                "totalExecutedQuantity": "0",
                                "visibleQuantity": "0",
                                "averageExecutedPrice": "0",
                                "totalFee": "0",
                                "feeAsset": "",
                                "totalRebate": "0",
                                "rebateCurrency": "USDT",
                                "reduceOnly": true,
                                "createdTime": 1696589756123,
                                "updatedTime": 1696589756123,
                                "isActivated": false
                            }
                        ]
                    }
                ]
            },
            ...
        ]
    },
    "timestamp": 1696598461952
}
}

Headers

x-api-key
string
required
Example:

"abcdef123456"

x-api-signature
string
required
Example:

"signaturestring"

x-api-timestamp
string
required
Example:

"1718943200000"

Query Parameters

symbol
string

Symbol name

side
string

BUY/SELL

positionSide
string

BOTH for one way mode; LONG or SHORT for hedge mode; Only applicable to perpetual instruments

algoType
string

STOP/OCO/TRAILING_STOP/POSITIONAL_TP_SL/TP_SL/BRACKET/STOP_BRACKET

orderType
string

LIMIT/MARKET

isTriggered
enum<string>

true/false

Available options:
true,
false
algoOrderTag
string

Order tag

realizedPnl
boolean

Whether to return order’s realized pnl

status
string

NEW/CANCELLED/PARTIAL_FILLED/FILLED/REJECTED/INCOMPLETE/COMPLETED

startTime
integer<int64>

Start timestamp in Unix timestamp format in milliseconds

endTime
integer<int64>

End timestamp in Unix timestamp format in milliseconds

page
integer
default:1

Page number

size
integer
default:50

Data size per page, max 500

Required range: x <= 500

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object